Avancerede emner
forrige |  | næste

## Avancerede emner

### Kommandolinjetilvalg

Når Terminal indlæses fra kommandolinjen eller fra en programstarter, kan adskillige tilvalg angives til at ændre dens opførsel.

`--help`

  Viser de forskellige kommandolinjetilvalg understøttet af Terminal og afslutter

`--version`

  Viser versionsinformation og afslutter

`-disable-server`

  Registrér ikke med D-BUS-sessionsbeskedbussen

`--execute` `...`

  Udfør resten af kommandolinjen inden i terminalen

`--command` `kommando`

  Udfør `kommando` inde i terminalen

`--working directory` `mappe`

  Indstil `mappe` som arbejdsmappen for terminalen

`--title` `titel`

  Indstil `titel` som indledende vinduestitel i terminalen

`--hold`

  Gør at terminalen holdes åben efter at den underliggende kommando er udført

`--display` `skærm`

  Åbn terminalvindue på den X-skærm der er angivet af `display`.

`--geometry` `geometri`

  Indstil geometrien af det sidst specificerede vindue til `geometry`. Læs `man `X`` for flere detaljer om hvordan man skal angive vinduesgeometri.

`--role` `rolle`

  Indstil vinduets rolle det sidst specificerede vindue til `role`. Gælder kun for et vindue og kan angives en gang for hvert vindue, du opretter fra kommandolinjen. Det er mest anvendt til sessionshåndtering inden i Terminal.

`--startup-id` `id`

  Angiv id'et for opstartsnotifikation for det sidste specificerede vindue. Brugt internt til at videresende opstartsnotifikation-id'et, ved brug af D-BUS-tjenesten.

`--fullscreen`

  Indstil det sidst specificerede vindue, til fuldskærmstilstand; det gælder kun for et vindue; kan specificeres en gang for hvert vindue, du opretter fra kommandolinjen.

`--maximize`

  Indstil det sidst specificerede vindue, til maksimeret tilstand; det gælder kun for et vindue; kan specificeres en gang for hvert vindue, du opretter fra kommandolinjen.

`--show-menubar`

  Slå menulinjen til for det sidst specificerede vindue.. Det kan specificeres en gang for hvert vindue, du opretter fra kommandolinjen.

`--hide-menubar`

  Turn off the menubar for the last-specified window. Can be specified once for each window you create from the command line.

`--show-borders`

  Slå vinduesdekorationer til, for det sidst specificerede vindue. Gælder kun for et vindue. Det kan specificeres en gang for hvert vindue, du opretter fra kommandolinjen.

`--hide-borders`

  Slå vinduesdekorationer fra, for det sidst specificerede vindue. Gælder kun for et vindue. Det kan specificeres en gang for hvert vindue, du opretter fra kommandolinjen.

`--show-toolbars`

  Slå værktøjslinjer til , for det sidst specificerede vindue. Gælder kun for et vindue. Det kan specificeres en gang for hvert vindue, du opretter fra kommandolinjen.

`--hide-toolbars`

  Slå værktøjslinjer fra, for det sidst specificerede vindue. Gælder kun for et vindue. Det kan specificeres en gang for hvert vindue, du opretter fra kommandolinjen.

`--tab`

  Åbn et nyt faneblad i det sidst specificerede vindue. Flere end disse tilvalg kan tilbydes.

`--window`

  Åbn en nyt vindue der indeholder ét faneblad. Flere end disse tilvalg kan tilbydes.

For eksempel, lad os sige at du vil åbne et nyt terminalvindue med to faneblade, hvor det første faneblad skal køre mutt og det andet faneblad skal køre mc, og vinduet skal bestå af 80 kolonner og 40 rækker, vil du skulle bruge følgende kommando for at starte Terminal:

    Terminal --geometry 80x40 --command mutt --tab --command mc

### Filer og miljøvariabler

Terminal anvender specifikationen Basedir, som defineret på Freedesktop.org, til at lokalisere dets data- og indstillingsfiler. Dette betyder, at filplaceringer vil være specificerede som en relativ sti til mapperne; beskrevet i specifikationen.

`${XDG_CONFIG_HOME}`

  Den første basale mappe til at lede efter indstillingsfiler. Som standard er denne indstillet til `~/.config/`.

`${XDG_CONFIG_DIRS}`

  En kolonsepareret liste af basismapper der indeholder indstillingsdata. Som standard vil programmet lede i `${sysconfdir}/xdg/`. Værdien på `${sysconfdir}`, afhænger hvordan programmet blev bygget og vil ofte være `/etc/` for binære pakker.

`${XDG_DATA_HOME}`

  Roden for alle brugerspecikke datafiler. Som standard er denne indstillet til `~/.local/share/`.

`${XDG_DATA_DIRS}`

  En række indstillingssortereret basismapper, relativ til hvilke datafiler der skal søges efter, udover basismappen ${XDG_DATA_DIRS}. Mapper skal separeres med en kolon.

`${XDG_CONFIG_DIRS}/Terminal/terminalrc`

  Dette er placeringen af indstillingsfilerne, der inkluderer de indstillinger, der styrer udseendet og fornemmelsen i Terminal.

`${XDG_DATA_DIRS}/Terminal/Terminal-toolbars.ui`

  Denne fil inkluderer beskrivelsen af brugergrænsefladen for værktøjslinjerne. Hvis du tilpasser værktøjslinjerne ved at bruge den grafiske værktøjslinjeeditor, vil Terminal gemme det nye værktøjslinjelayout i `${XDG_DATA_HOME}/Terminal/Terminal-toolbars.ui`.

### Skjulte tilvalg

Terminal tilbyder nogle små skjulte tilvalg der lader superbrugere kontrollere diverse avancerede indstillinger og for at reducere antallet af tilvalg i brugergrænsefladen. For at indstille disse tilvalg, skal du åbne filen `${XDG_CONFIG_HOME}/Terminal/terminalrc`, i din foretrukne tekstredigering og redigere sektionen `[Configuration]`; opret blot filen hvis den ikke allerede eksisterer. For eksempel, din `terminalrc` burde se ud som

    [Configuration]
    MiscAlwaysShowTabs=TRUE
    MiscBell=TRUE
    MiscConfirmClose=FALSE
    MiscCursorBlinks=TRUE
    MiscCursorShape=TERMINAL_CURSOR_SHAPE_BLOCK
    MiscCycleTabs=FALSE
    MiscInheritGeometry=TRUE
    MiscMouseAutohide=FALSE
    MiscTabCloseButtons=TRUE
    MiscTabCloseMiddleClick=TRUE
    MiscTabPosition=GTK_POS_TOP
    MiscHighlightUrls=TRUE

plus alle de tilvalg der er styret gennem indstillingsvinduet.

`MiscAlwaysShowTabs`

  Hvis `TRUE` vil fanebladshovedet altid blive vist, hvis selv kun et enkelt terminalfaneblad er åben. Dette tilvalg er nyttigt hvis du ikke vil have terminalvinduet til at ændre størrelse, når du åbner et nyt faneblad. Det er slået fra som standard.

`MiscBell`

  Aktiverer (`MiscBell=TRUE`) eller deaktiverer (`MiscBell=FALSE`) den hørbare terminalklokke. Det er slået fra som standard.

`MiscConfirmClose`

  Styrer hvorvidt Terminal viser et bekræftelsesvindue, når brugeren forsøger at lukke et terminalvindue med flere faneblade. Kan enten være `TRUE` (standard) eller `FALSE`.

`MiscCursorBlinks`

  Slå dette tilvalg til for at vise en markør der blinker. Kan enten være `TRUE` eller `FALSE` (standard).

`MiscCursorShape`

  Specifies the shape of the cursor in the terminal. This can be either `TERMINAL_CURSOR_SHAPE_BLOCK` (the default), `TERMINAL_CURSOR_SHAPE_IBEAM` or `TERMINAL_CURSOR_SHAPE_UNDERLINE`. This option is only available when you compile against VTE 0.19.1 or newer.

`MiscCycleTabs`

  Dette tilvalg styrer hvorvidt du kan bladre igennem terminalfaneblade. Det være sig, hvorvidt du er i stand til at gå fra det sidste faneblad til det første faneblad ved at bruge knappen Næste faneblad fra menuen Gå (eller den associerede tastaturgenvej), og fra det første faneblad til det sidste faneblad ved at bruge knappen Forrige faneblad fra menuen Gå. Tilvalget kan være enten `TRUE` (standard) eller `FALSE`.

`MiscDefaultGeometry`

  Geometrien som er standard for nye terminalvinduer hvis ingen `--geometry` tilvalg er angivet på kommandolinjen (standard er `80x24`).

`MiscInheritGeometry`

  Denne indstilling styrer hvorvidt nye vinduer vil arve dens forældres (vinduet hvorfra det nye vindue blev åbnet) geometri (bredde og højde fra det aktive faneblad). Kan være enten `TRUE` eller `FALSE` (standard).

`MiscMouseAutohide`

  Denne indstilling styrer hvorvidt Terminal vil skjule musemarkøren, mens du taster i terminalvinduet. Kan enten være `TRUE` eller `FALSE` (standard).

`MiscTabCloseButtons`

  Denne indstilling styrer hvorvidt Terminal tilbyder en lukknap med terminalfanebladets titel. Kan enten være `TRUE` (standard) eller `FALSE`.

`MiscTabCloseMiddleClick`

  This setting controls whether Terminal will close a terminal tab when the user middle-clicks the tab title. Can be either `TRUE` (the default) or `FALSE`.

`MiscTabPosition`

  Angiver hvor fanebladshoveder skal vises. Dette kan enten være `GTK_POS_TOP` (standard), `GTK_POS_LEFT`, `GTK_POS_BOTTOM` eller `GTK_POS_RIGHT`. Hvis du angiver `GTK_POS_LEFT` eller `GTK_POS_RIGHT` her, vil fanebladets hovedtekst blive vist lodret i stedet for vandret. Det er meget anbefalelsesværdigt at slå `MiscTabCloseButtons` for `GTK_POS_LEFT` og `GTK_POS_RIGHT` fra.

`MiscHighlightUrls`

  Denne indstilling styrer hvorvidt URL'er - både henvisninger og e-post-adresser - vil være fremhævet i din tekst der vises i terminalvinduet. Hvis du ændrer dette tilvalg til `FALSE`, vil URL'er ikke længere være fremhævet og du vil ikke længere kunne midterklikke på URL'en for at åbne den i dit foretrukne program.

forrige |  | næste
Indstillinger | hjem | Ofte stillede spørgsmål